org.eclnt.jsfserver.elements.componentnodes

## Class SCROLLANCHORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCROLLANCHORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCROLLANCHORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCROLLANCHORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCROLLANCHORNode` | `bindComment(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `bindScrolltrigger(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SCROLLANCHORNode` | `setAttributemacro(java.lang.String value)`
    `SCROLLANCHORNode` | `setComment(java.lang.String value)`
    `SCROLLANCHORNode` | `setComponentbinding(java.lang.String value)`
    `SCROLLANCHORNode` | `setConfiginfo(java.lang.String value)`
    `SCROLLANCHORNode` | `setId(java.lang.String value)`
    `SCROLLANCHORNode` | `setReference(java.lang.String value)`
    `SCROLLANCHORNode` | `setRendered(boolean value)`
    `SCROLLANCHORNode` | `setRendered(java.lang.String value)`
    `SCROLLANCHORNode` | `setRowalignmenty(java.lang.String value)`
    `SCROLLANCHORNode` | `setScrolltrigger(java.lang.String value)`
    `SCROLLANCHORNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCROLLANCHORNode

          public SCROLLANCHORNode()

  - ### Method Detail

    - #### setId

          public SCROLLANCHORNode setId(java.lang.String value)

    - #### setAttributemacro

          public SCROLLANCHORNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SCROLLANCHORNode setComment(java.lang.String value)

    - #### bindComment

          public SCROLLANCHORNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public SCROLLANCHORNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public SCROLLANCHORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCROLLANCHORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public SCROLLANCHORNode setReference(java.lang.String value)

    - #### setRendered

          public SCROLLANCHORNode setRendered(java.lang.String value)

    - #### bindRendered

          public SCROLLANCHORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SCROLLANCHORNode setRendered(boolean value)

    - #### setRowalignmenty

          public SCROLLANCHORNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SCROLLANCHORNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setScrolltrigger

          public SCROLLANCHORNode setScrolltrigger(java.lang.String value)

    - #### bindScrolltrigger

          public SCROLLANCHORNode bindScrolltrigger(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SCROLLANCHORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SCROLLANCHORNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.